Package org.apache.wiki.forms

# Class FormInput

java.lang.Object
org.apache.wiki.forms.FormElement
org.apache.wiki.forms.FormInput

All Implemented Interfaces:
  `org.apache.wiki.api.plugin.Plugin`

public class FormInput extends FormElement
Creates a simple input text field.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PARAM_CHECKED`
`static final String`
`PARAM_SIZE`
Parameter name for setting the size of the input field.
`static final String`
`PARAM_TYPE`
Parameter name for setting the type.

### Fields inherited from class org.apache.wiki.forms.FormElement

`FORM_VALUES_CARRIER, HANDLERPARAM_PREFIX, HIDE_SUCCESS, PARAM_ELEMENT, PARAM_FORM, PARAM_FORMNAMEHIDDEN, PARAM_HANDLER, PARAM_HIDEFORM, PARAM_INPUTNAME, PARAM_POPULATE, PARAM_SUBMITHANDLER, PARAM_VALUE`

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`FormInput()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(org.apache.wiki.api.core.Context ctx, Map<String,String> params)`
Generates a dynamic form element on the WikiPage.

### Methods inherited from class org.apache.wiki.forms.FormElement

`getFormInfo, storeFormInfo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.api.plugin.Plugin

`getDisplayName, getSnipExample`

## Field Details

### PARAM_TYPE

public static final String PARAM_TYPE
Parameter name for setting the type. Value is `"type"`.

See Also:
  - Constant Field Values

### PARAM_SIZE

public static final String PARAM_SIZE
Parameter name for setting the size of the input field. Value is `"size"`.

See Also:
  - Constant Field Values

### PARAM_CHECKED

public static final String PARAM_CHECKED

See Also:
  - Constant Field Values

## Constructor Details

### FormInput

public FormInput()

## Method Details

### execute

public String execute(org.apache.wiki.api.core.Context ctx, Map<String,String> params) throws org.apache.wiki.api.exceptions.PluginException
Generates a dynamic form element on the WikiPage.

Throws:
  `org.apache.wiki.api.exceptions.PluginException`